apiVersion: apps/v1
kind: Deployment
metadata:
  name: test-frontend
spec:
  replicas: 1
  template:
    spec:
      containers:
        - name: primary
          env:
            - name: env
              value: dev
          resources:
            limits:
              memory: 128Mi
